; TIP1183.LSP: DIMLINE.LSP   Quick Line Lengths   (c)1996, Tom Strantz

(defun C:DIMLINE
  (/ LIN PT A B C LG SP EP A1 A2 DS MP)
  (setq LIN (entsel "\nSelect line at point you want to show dimension: "))
  (setq PT (list (car (cadr LIN))(cadr (cadr LIN))))
  (setq A (entget (car LIN)))
  (setq B (cdr (assoc 10 A)))
  (setq C (cdr (assoc 11 A)))
  (setq LG (rtos (distance B C) 2 2))
  (setq SP (if (<= (car B)(car C)) B C))
  (setq EP (if (<= (car B)(car C)) C B))
  (setq A1 (angle SP EP))
  (setq A2 (+ (angle SP EP) (/ pi 2)))
  (setq DS (getvar "dimscale"))
  (setq MP (polar PT A2 (* 0.02 DS)))
  (command "text" "j" "bc" MP (* 0.1 DS) (* 180 (/ A1 pi)) LG)
  (princ)
); end dimline.lsp
