; TIP1181.LSP: DIMARC.LSP   Move Dimension Text  (c)1996, David Harrington

(defun myerror (S)     
  (if (/= S "\nProgram cancelled")
    (princ "\nCancelling Dimension Arc...")
  )
  (setq *error* OLDERR)
  (princ)
)
(defun C:DIMARC
  (/ DIR TXT TXTL GAP P10 P11 P13 P14 A50 OPT
  DPT CPT LE LL TS BB TD NP11 T1 T2 AP)
  (setvar "CMDECHO" 0)
  (prompt "\nSelect dimenion to arc: ")
  (setq OLDERR *error*
    DIM (car (entsel))
    TXTL (entget DIM)
  GAP (getvar "DIMGAP"))
  (if (= (cdr (assoc 0 TXTL)) "DIMENSION")
    (progn
      (SETQ P10 (cdr (assoc 10 TXTL))
        P11 (cdr (assoc 11 TXTL))
        P13 (cdr (assoc 13 TXTL))
        P14 (cdr (assoc 14 TXTL))
      A50 (cdr (assoc 50 TXTL)))
      (if (= (cdr (assoc 70 TXTL)) 1)
        (setq A50 (angle P14 P13))
      )
      (setq OPT (polar P10 A50 1.0))
      (setq DPT (polar P11 (+ A50 (/ pi 2.0)) 1.0))
      (setq CPT (inters P10 OPT P11 DPT nil))
      (setq LE (entlast))
      (command "layer" "set" (cdr (assoc 8 TXTL)) "")
      (command "explode" DIM)
      (while (= TXT nil)
        (setq LE (entnext LE))
        (setq LL (entget LE))
        (if (= (CDR (assoc 0 LL)) "TEXT")
          (setq TXT (cdr (assoc 1 LL))
            TS (cdr (assoc 40 LL))
          BB (textbox LL))
        )
      )
      (if (= GAP 0.0)
        (setq GAP (/ TS 2.0))
      )
      (command "undo" "1")
      (setq TD (+ (/ (distance (car BB) (cadr BB)) 2.0) (/ TS 4.0)))
      (setq NP11 (grread 1 4 2))
      (while (= (car NP11) 5)
        (if (/= DIR nil)
          (command "undo" "1")
        )
        (if (= (car NP11) 5)
          (progn
            (setq NP11 (cadr NP11))
            (command "dim1" "tedit" DIM NP11)
            (setq T1 (polar NP11 A50 TD))
            (setq T2 (polar NP11 (+ A50 pi) TD))
            (if (< (distance T1 CPT) (distance T2 CPT))
              (setq AP T1)
              (setq AP T2)
            )
            (setq DIR (angle AP (inters T1 T2 P11 CPT nil)))
            (if (or (= DIR A50) (= DIR (+ A50 pi)))
              (setq DIR (+ DIR 0.001))
            )
            (command "pline" AP "w" "0" "0" (polar AP DIR (* GAP 2.0)) CPT "")
            (setq NP11 (grread 1 4 2))
          )
        )
      )
    )
    (prompt "\nNot a associative dimension...program aborted.")
  )
  (setq *error* OLDERR)
  (terpri)
); end dimarc.lsp
